Get accounting periods
curl --request GET \
--url https://api.zenskar.com/accounting_new/periods \
--header 'organisation: <api-key>' \
--header 'x-api-key: <api-key>'import requests
url = "https://api.zenskar.com/accounting_new/periods"
headers = {
"x-api-key": "<api-key>",
"organisation": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>', organisation: '<api-key>'}};
fetch('https://api.zenskar.com/accounting_new/periods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"period_start": "2023-12-25",
"period_end": "2023-12-25",
"status": "<string>",
"closed_at": "2023-11-07T05:31:56Z",
"closed_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"period_name": "<string>",
"closed_by_user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"role": "<string>",
"phone": "<string>",
"rbac_role_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"totp": true,
"additional_permissions": [
"<unknown>"
]
}
}
],
"next": "V2VsbCBhcmV1IGN1cmlvdxM=",
"previous": "GmBsbCBhcmV1IGN1cmlvdxM=",
"total_count": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Accounting
Get accounting periods
Fetch all closed accounting periods for an organisation with pagination.
GET
/
accounting_new
/
periods
Get accounting periods
Authorizations
Query Parameters
The cursor indicating a unique set of results - this should be auto generated and you get it from the next and previous fields of the response
Example:
"V2VsbCBhcmV1IGN1cmlvdxM="
The number of results to return - defaults to 10
Example:
10
Sort order (e.g., -period_end)
Response
Successful Response
The results for the current page
Show child attributes
Show child attributes
The cursor for the next page of results
Example:
"V2VsbCBhcmV1IGN1cmlvdxM="
The cursor for the previous page of results
Example:
"GmBsbCBhcmV1IGN1cmlvdxM="
The total count of rows